Upload Credit Report API

This API is used to upload the credit report's XML.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample JSON

{
	"credit_report_xml": "<credit_report_xml>",
	"partner_loan_id": "<loan ID at your end, if it exists",
	"pan": "<pan of the customer>",
	"additional_variables": {
		"foir": "<foir value>",
		"iir": "<iir value>",
		"no_of_enquiries": "<no of enquiries in last 3 months>",
		"no_of_tradeline_30_plus_3_month": "value",
		"no_of_tradeline_60_plus_6_month": "value"
	}
}
POST /api/v1/client/loan/upload-credit-report/

Sample Response

{
	"is_success": true,
	"data": {
		"status": "Rejected/Approved",
		"rejection_reason": "<reason for rejection, if Rejected>"
	}
}

🚧

Note

Additional variables is a JSON field for sending all variables needed for a decision.

The fields in additional variables are configurable and the above is an example.

If the "value" is a number, according to the JSON API Spec, we prefer you send numbers as JSON numbers, that is, without the quotes.

Body Params
string

File to be uploaded.

string

PAN of the Customer

string

Loan ID at your side, only for reconciliation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json